;; This file:
;;   http://anggtwu.net/LISP/2025-ursly-1.lisp.html
;;   http://anggtwu.net/LISP/2025-ursly-1.lisp
;;          (find-angg "LISP/2025-ursly-1.lisp")
;; Author: Eduardo Ochs <eduardoochs@gmail.com>
;;
;; (defun e () (interactive) (find-angg "LISP/2025-ursly-1.lisp"))
;; (find-es "lisp" "sly-stickers")

;; Notes on Gavin Freeborn's "Unleash The REPL With Sly" -
;;   https://www.youtube.com/watch?v=0DLdQ6yb7h8 Unleash The REPL With Sly
;;
;; (find-youtubedl-links "/tmp/" "Unleash_The_REPL_With_Sly" "0DLdQ6yb7h8" ".mkv" "ursly")
;; (code-ytvideo "urslyvideo" "/tmp/Unleash_The_REPL_With_Sly-0DLdQ6yb7h8.mkv")
;; (code-video   "urslyvideo" "/tmp/Unleash_The_REPL_With_Sly-0DLdQ6yb7h8.mkv")
;; (find-yttranscript-links "ursly" "0DLdQ6yb7h8")

;; (find-urslyvideo "0:00" "when it comes to writing common lisp one")
;; (find-urslyvideo "0:02" "of the most important tools to have")
;; (find-urslyvideo "0:03" "available to you is the reply some would")
;; (find-urslyvideo "0:05" "even say that the reply is even more")
;; (find-urslyvideo "0:07" "important than your text editor which")
;; (find-urslyvideo "0:08" "obviously isn't exactly the case because")
;; (find-urslyvideo "0:10" "most people are using the reply")
;; (find-urslyvideo "0:12" "integrated with their text editor which")
;; (find-urslyvideo "0:14" "is kind of the common workflow with")
;; (find-urslyvideo "0:16" "common lisp it gives us code completion")
;; (find-urslyvideo "0:18" "it gives us debugging it gives us")
;; (find-urslyvideo "0:20" "decompilation gives us all sort of stuff")
;; (find-urslyvideo "0:22" "that a lot of programming languages kind")
;; (find-urslyvideo "0:25" "of make available but don't really make")
;; (find-urslyvideo "0:26" "it a priority and usually it's kind of")
;; (find-urslyvideo "0:28" "tacked on and it doesn't really make for")
;; (find-urslyvideo "0:29" "a very good workflow so usually if you")
;; (find-urslyvideo "0:31" "guys are from nearly any other language")
;; (find-urslyvideo "0:33" "that isn't a lisp you probably aren't")
;; (find-urslyvideo "0:34" "used to using the repple all that")
;; (find-urslyvideo "0:36" "heavily or at all which is why in this")
;; (find-urslyvideo "0:38" "video we'll be going over sly a very")
;; (find-urslyvideo "0:40" "popular emacs based repel and it will")
;; (find-urslyvideo "0:43" "hook into emacs we'll get it set up so")
;; (find-urslyvideo "0:44" "you guys can get some code completion")
;; (find-urslyvideo "0:46" "use it for debugging use it for")
;; (find-urslyvideo "0:48" "compiling your code all that sort of")
;; (find-urslyvideo "0:50" "stuff and you'll realize just how")
;; (find-urslyvideo "0:51" "powerful it can be")
;; (find-urslyvideo "0:53" "[Music]")
;; (find-urslyvideo "0:55" "now before we get too far into the video")
;; (find-urslyvideo "0:57" "i just wanted to clear up some")
;; (find-urslyvideo "0:58" "terminology that might confuse you guys")
;; (find-urslyvideo "1:00" "so there is slime there's sly there's")
;; (find-urslyvideo "1:02" "swank and there's slank now that's a")
;; (find-urslyvideo "1:04" "little bit confusing but really the")
;; (find-urslyvideo "1:06" "actual rebels that you interface with")
;; (find-urslyvideo "1:08" "are slime and sly slime is an older")
;; (find-urslyvideo "1:11" "rebel it's been around for quite a lot")
;; (find-urslyvideo "1:13" "longer that's been available for emacs")
;; (find-urslyvideo "1:15" "and so sly is kind of a more modern take")
;; (find-urslyvideo "1:17" "on it it's a fork and so as a result")
;; (find-urslyvideo "1:20" "when you hear slime")
;; (find-urslyvideo "1:22" "you can kind of just think of that as")
;; (find-urslyvideo "1:24" "like an older version of sly that has a")
;; (find-urslyvideo "1:27" "few minor differences the main reason")
;; (find-urslyvideo "1:29" "i'm going with sly in this video is just")
;; (find-urslyvideo "1:31" "because it's more maintained at this")
;; (find-urslyvideo "1:34" "point now here you guys will see the sly")
;; (find-urslyvideo "1:37" "page on github there's a few different")
;; (find-urslyvideo "1:39" "pieces of documentation and a little")
;; (find-urslyvideo "1:42" "demo of the code completion options the")
;; (find-urslyvideo "1:45" "different entries for the reply itself")
;; (find-urslyvideo "1:47" "recursive searching a bunch of other")
;; (find-urslyvideo "1:49" "stuff which most of we will be going")
;; (find-urslyvideo "1:51" "over in this video now the first thing")
;; (find-urslyvideo "1:53" "that you'll want to install is a common")
;; (find-urslyvideo "1:55" "lisp implementation if you have no idea")
;; (find-urslyvideo "1:57" "what to do for installing the lisp")
;; (find-urslyvideo "1:59" "implementation just go with sbcl it's")
;; (find-urslyvideo "2:01" "the most common uh or most popular")
;; (find-urslyvideo "2:03" "common lisp implementation to install it")
;; (find-urslyvideo "2:06" "on arch you would just do yay s or sorry")
;; (find-urslyvideo "2:09" "s must be cl")
;; (find-urslyvideo "2:13" "and then we'll go ahead and install it i")
;; (find-urslyvideo "2:15" "already have it installed so this really")
;; (find-urslyvideo "2:16" "won't take any time and then once it is")
;; (find-urslyvideo "2:18" "installed we can go ahead and actually")
;; (find-urslyvideo "2:20" "start installing slime so to install")
;; (find-urslyvideo "2:22" "slime if you guys are just using a")
;; (find-urslyvideo "2:23" "normal installation of emacs you can do")
;; (find-urslyvideo "2:26" "alt x package install sly all right")
;; (find-urslyvideo "2:30" "there we go now i've deleted slice so")
;; (find-urslyvideo "2:31" "now if we did package install and we did")
;; (find-urslyvideo "2:33" "sly it will go ahead and install sly to")
;; (find-urslyvideo "2:36" "do just give that a sec and it will")
;; (find-urslyvideo "2:38" "compile all of the stuff for us")
;; (find-urslyvideo "2:40" "and so now that we've got sly installed")
;; (find-urslyvideo "2:42" "and sbcl we can do alt x and we could")
;; (find-urslyvideo "2:45" "just call sly now we will get this")
;; (find-urslyvideo "2:48" "little message if you have not set your")
;; (find-urslyvideo "2:49" "inferior lisp program instead it will")
;; (find-urslyvideo "2:52" "give you the option to use spcl we'll")
;; (find-urslyvideo "2:54" "just hit y and then it will go ahead and")
;; (find-urslyvideo "2:57" "set up spcl for us this will just take a")
;; (find-urslyvideo "2:59" "sec and there we go now we have a repel")
;; (find-urslyvideo "3:02" "running and connected so now we can even")
;; (find-urslyvideo "3:05" "evaluate a simple lisp expression doing")
;; (find-urslyvideo "3:08" "plus one and two hit enter there we go")
;; (find-urslyvideo "3:11" "so very straightforward now this is")
;; (find-urslyvideo "3:13" "obviously a really simple use case but")
;; (find-urslyvideo "3:15" "let's go ahead and actually start")
;; (find-urslyvideo "3:16" "writing some code so now if we wanted to")
;; (find-urslyvideo "3:19" "maybe make a scratch buffer that's set")
;; (find-urslyvideo "3:21" "up for lisp we could just do alt x")
;; (find-urslyvideo "3:23" "slide scratch")
;; (find-urslyvideo "3:25" "and that will create a scratch buffer")
;; (find-urslyvideo "3:27" "that we can start compiling code in now")
;; (find-urslyvideo "3:29" "the first thing that you'll probably be")
;; (find-urslyvideo "3:30" "tempted to do is do")
;; (find-urslyvideo "3:33" "something like plus one")
;; (find-urslyvideo "3:35" "two and so if we wanted to evaluate this")
;; (find-urslyvideo "3:37" "a lot of people do just ctrl x ctrl e")
;; (find-urslyvideo "3:40" "kind of similar to how you would do that")
;; (find-urslyvideo "3:42" "in emacs which does actually")
;; (find-urslyvideo "3:44" "work so if you wanted to like evaluate")
;; (find-urslyvideo "3:45" "emacs lisp and have the same workflow")
;; (find-urslyvideo "3:47" "that actually does work this will be")
;; (find-urslyvideo "3:48" "evaluated as common lisp if you do")
;; (find-urslyvideo "3:51" "control x control e by the way i also")
;; (find-urslyvideo "3:53" "just uh set up my key cast down here so")
;; (find-urslyvideo "3:55" "you guys can see the keys that i'm")
;; (find-urslyvideo "3:56" "pressing so if we were to go ahead and")
;; (find-urslyvideo "3:59" "just do control x control e we would get")
;; (find-urslyvideo "4:02" "that evaluated as you can see slide")
;; (find-urslyvideo "4:03" "evaluate last s expression and we could")
;; (find-urslyvideo "4:05" "also do control alt x and that will also")
;; (find-urslyvideo "4:08" "evaluate it sometimes we actually want")
;; (find-urslyvideo "4:10" "to compile it there are a lot of")
;; (find-urslyvideo "4:11" "benefits to compiling it instead and to")
;; (find-urslyvideo "4:13" "compile it's really simple we just do")
;; (find-urslyvideo "4:15" "ctrl c ctrl c")
;; (find-urslyvideo "4:17" "and that will evaluate the defund")
;; (find-urslyvideo "4:20" "which is basically the outermost")
;; (find-urslyvideo "4:22" "parentheses so in this case that's just")
;; (find-urslyvideo "4:24" "evaluating the plus one and two")
;; (find-urslyvideo "4:26" "but maybe if we wanted to do something")
;; (find-urslyvideo "4:28" "like this minus 1")
;; (find-urslyvideo "4:31" "1")
;; (find-urslyvideo "4:32" "and we wanted to just compile that that")
;; (find-urslyvideo "4:34" "will actually compile the outmost")
;; (find-urslyvideo "4:36" "expression not just the one that's")
;; (find-urslyvideo "4:38" "closest to us")
;; (find-urslyvideo "4:39" "now just to kind of give you guys an")
;; (find-urslyvideo "4:40" "example of what benefits you get out of")
;; (find-urslyvideo "4:42" "this you can kind of get hit type")
;; (find-urslyvideo "4:44" "hinting um and compilation error")
;; (find-urslyvideo "4:46" "messages that are a lot more helpful and")
;; (find-urslyvideo "4:48" "they'll actually know like where like")
;; (find-urslyvideo "4:49" "the error occurred so if we did say um")
;; (find-urslyvideo "4:52" "plus hello one")
;; (find-urslyvideo "4:54" "and then we define")
;; (find-urslyvideo "4:57" "name")
;; (find-urslyvideo "4:58" "we did control x control e we will get a")
;; (find-urslyvideo "5:01" "warning but if we do control c control c")
;; (find-urslyvideo "5:03" "we will actually get a warning with a")
;; (find-urslyvideo "5:05" "little message down here we can actually")
;; (find-urslyvideo "5:07" "kind of use alt m alt n and")
;; (find-urslyvideo "5:11" "alt n")
;; (find-urslyvideo "5:13" "and alt p")
;; (find-urslyvideo "5:15" "to kind of uh jump to each of these")
;; (find-urslyvideo "5:17" "messages obviously there's only one here")
;; (find-urslyvideo "5:18" "and as you can see the output is also")
;; (find-urslyvideo "5:21" "stated down here in the rebel now if we")
;; (find-urslyvideo "5:23" "wanted to say for example um we have a")
;; (find-urslyvideo "5:26" "bunch of code let's do name")
;; (find-urslyvideo "5:28" "um and let's just make this uh")
;; (find-urslyvideo "5:31" "we'll just have this return strings")
;; (find-urslyvideo "5:33" "really quickly so now if we compile that")
;; (find-urslyvideo "5:35" "but ctrl c ctrl c and then compile it")
;; (find-urslyvideo "5:37" "again it will run i guess that's not")
;; (find-urslyvideo "5:39" "really a good example let's actually")
;; (find-urslyvideo "5:40" "just")
;; (find-urslyvideo "5:42" "just to print that")
;; (find-urslyvideo "5:43" "and then control c control c and you'll")
;; (find-urslyvideo "5:45" "see that that actually runs it when it's")
;; (find-urslyvideo "5:47" "compiled")
;; (find-urslyvideo "5:48" "so that's a pretty simple workflow to")
;; (find-urslyvideo "5:50" "get going with")
;; (find-urslyvideo "5:51" "now you can also obviously run this")
;; (find-urslyvideo "5:53" "in the rebel if you wanted to but it's")
;; (find-urslyvideo "5:55" "not particularly necessary in most cases")
;; (find-urslyvideo "5:57" "usually when you're compiling stuff")
;; (find-urslyvideo "5:59" "you're just wanting to build it you're")
;; (find-urslyvideo "6:00" "not actually trying to run things now")
;; (find-urslyvideo "6:02" "often it will get kind of annoying to")
;; (find-urslyvideo "6:04" "compile each of the things one at a time")
;; (find-urslyvideo "6:05" "maybe if you write multiple functions at")
;; (find-urslyvideo "6:07" "a time or something like that so to do")
;; (find-urslyvideo "6:08" "that do that on an entire file you could")
;; (find-urslyvideo "6:11" "do ctrl c ctrl k however since this is a")
;; (find-urslyvideo "6:14" "buffer so this is a scratch buffer it's")
;; (find-urslyvideo "6:15" "not associated with a file so that")
;; (find-urslyvideo "6:17" "doesn't actually work in this case there")
;; (find-urslyvideo "6:18" "might be a buffer version of that")
;; (find-urslyvideo "6:20" "actually let's just see sly compile nope")
;; (find-urslyvideo "6:22" "doesn't look like it but either way")
;; (find-urslyvideo "6:25" "usually you're not using a scratch")
;; (find-urslyvideo "6:26" "buffer and writing a lot of code in it")
;; (find-urslyvideo "6:27" "anyways now let's kind of show some of")
;; (find-urslyvideo "6:30" "the more quirky features")
;; (find-urslyvideo "6:32" "now let's show some of the more uh")
;; (find-urslyvideo "6:34" "quirky features that you get available")
;; (find-urslyvideo "6:35" "to you so you do get a code completion")
;; (find-urslyvideo "6:38" "available when you hit alt tab and it")
;; (find-urslyvideo "6:40" "will give you this little pop-up thing")
;; (find-urslyvideo "6:42" "down here familiar for those of you guys")
;; (find-urslyvideo "6:44" "that are used to just the normal")
;; (find-urslyvideo "6:45" "completion in emacs out of the box but")
;; (find-urslyvideo "6:47" "it's not really what most people are")
;; (find-urslyvideo "6:49" "looking for and so to get around that")

;; (find-urslyvideo "6:50" "you can install a company")
;; (find-urslyvideo "6:52" "which is a common plugin for emacs")
;; (find-urslyvideo "6:55" "alternatively you can use corfu i'll")
;; (find-urslyvideo "6:58" "link both of those down in the")
;; (find-urslyvideo "6:59" "description i'll just disable corfu mode")
;; (find-urslyvideo "7:01" "install company mode and then you guys")
;; (find-urslyvideo "7:03" "can go ahead and use that it's just a")
;; (find-urslyvideo "7:04" "bit easier to get started with if you're")
;; (find-urslyvideo "7:06" "not familiar with uh some of the stuff")
;; (find-urslyvideo "7:08" "that's available in korfu and it's")
;; (find-urslyvideo "7:09" "probably what you're already using if")
;; (find-urslyvideo "7:11" "you're coming from something like doom")
;; (find-urslyvideo "7:12" "emacs so now to get the code completion")
;; (find-urslyvideo "7:14" "let's go ahead and do package install")
;; (find-urslyvideo "7:16" "company so we'll install company this")
;; (find-urslyvideo "7:18" "will take a few minutes and one sec i'll")
;; (find-urslyvideo "7:20" "just get right back to you all right now")
;; (find-urslyvideo "7:22" "that we have company installed we can")
;; (find-urslyvideo "7:23" "just do alt x company or you might want")
;; (find-urslyvideo "7:26" "to even do global penny mode so global")
;; (find-urslyvideo "7:30" "company mode is now enabled and so now")
;; (find-urslyvideo "7:32" "if i did n a m it will give me")
;; (find-urslyvideo "7:35" "completion for a bunch of different")
;; (find-urslyvideo "7:36" "stuff say for example if i wanted to do")
;; (find-urslyvideo "7:38" "sequin sequence it will give me")
;; (find-urslyvideo "7:42" "completion for a bunch of different")
;; (find-urslyvideo "7:43" "stuff it also does fuzzy matching out of")
;; (find-urslyvideo "7:45" "the box so you could do nate or nam")
;; (find-urslyvideo "7:48" "and it will complete that for you though")
;; (find-urslyvideo "7:49" "that can be pretty powerful and")
;; (find-urslyvideo "7:50" "alternatively you can use core foot")
;; (find-urslyvideo "7:52" "without appeals two more so now that you")
;; (find-urslyvideo "7:53" "guys have code completion and you know")
;; (find-urslyvideo "7:55" "how to compile code that's probably the")
;; (find-urslyvideo "7:57" "basic workflow that you'll have but")

;; (find-urslyvideo "7:59" "often something that you'll want to do")
;; (find-urslyvideo "8:00" "is do some debugging and so probably the")
;; (find-urslyvideo "8:02" "easiest way to do that that most people")
;; (find-urslyvideo "8:04" "are used to is")
;; (find-urslyvideo "8:05" "using print statements so here we have")
;; (find-urslyvideo "8:08" "some simple printing here say if we")
;; (find-urslyvideo "8:10" "wanted to print out this value and if we")
;; (find-urslyvideo "8:13" "run three we'll see that we get the")
;; (find-urslyvideo "8:14" "result but now say okay well this print")
;; (find-urslyvideo "8:16" "statement isn't necessary we actually")
;; (find-urslyvideo "8:18" "want to get the value of it then if we")
;; (find-urslyvideo "8:20" "compile it and run it we will just get")
;; (find-urslyvideo "8:22" "the final result so say maybe there was")
;; (find-urslyvideo "8:24" "another level in here and we did let's")
;; (find-urslyvideo "8:26" "just do")
;; (find-urslyvideo "8:27" "-2")
;; (find-urslyvideo "8:28" "um this and this")
;; (find-urslyvideo "8:30" "and then if we compile that and run it")
;; (find-urslyvideo "8:32" "we'll get negative 2. maybe we weren't")
;; (find-urslyvideo "8:34" "too sure like what's going on in here")
;; (find-urslyvideo "8:36" "and you wanted to actually debug it we")

;; (find-urslyvideo "8:38" "can make use of something called")
;; (find-urslyvideo "8:39" "stickers they're basically an")
;; (find-urslyvideo "8:41" "alternative to a print statement so yeah")
;; (find-urslyvideo "8:43" "we could wrap this in a print statement")
;; (find-urslyvideo "8:44" "but it'll kind of break our command")
;; (find-urslyvideo "8:46" "so it's not very helpful")
;; (find-urslyvideo "8:48" "in this use case then we end up printing")
;; (find-urslyvideo "8:50" "it and then running it again so it's not")
;; (find-urslyvideo "8:51" "very helpful so instead what we'll do is")
;; (find-urslyvideo "8:53" "we can do control c")
;; (find-urslyvideo "8:55" "control s control s and you see that")
;; (find-urslyvideo "8:57" "little spot right here that's marked in")
;; (find-urslyvideo "8:59" "white this is a sticker now if you do")
;; (find-urslyvideo "9:01" "C-c C-c that will compile it now")
;; (find-urslyvideo "9:04" "that you can see it is blue we now have")
;; (find-urslyvideo "9:06" "a sticker there so now if we run it")
;; (find-urslyvideo "9:08" "again you'll see nothing is different")
;; (find-urslyvideo "9:10" "but if we go back and we do C-c C-s")
;; (find-urslyvideo "9:13" "so this is for all the sticker related")
;; (find-urslyvideo "9:15" "stuff and r")
;; (find-urslyvideo "9:17" "it will actually replay each of the")
;; (find-urslyvideo "9:19" "things so we can see every time that it")
;; (find-urslyvideo "9:20" "was evaluated what we got and so we see")
;; (find-urslyvideo "9:22" "oh it returned a negative three so a")
;; (find-urslyvideo "9:25" "negative three came out here and we")
;; (find-urslyvideo "9:26" "added two to it okay that's what uh that")
;; (find-urslyvideo "9:29" "makes sense")
;; (find-urslyvideo "9:30" "um and so then if we wanted to see how")
;; (find-urslyvideo "9:32" "if it happened multiple times maybe we")
;; (find-urslyvideo "9:33" "did i don't know let's do loop for i")
;; (find-urslyvideo "9:37" "from")
;; (find-urslyvideo "9:38" "0 to 10")
;; (find-urslyvideo "9:41" "um")
;; (find-urslyvideo "9:44" "do")
;; (find-urslyvideo "9:46" "okay and then")
;; (find-urslyvideo "9:48" "so now we can run this and we'll see")
;; (find-urslyvideo "9:49" "that oh we don't get any result but we")
;; (find-urslyvideo "9:51" "kind of want to know what's happening")
;; (find-urslyvideo "9:52" "well we can still use that sticker again")
;; (find-urslyvideo "9:54" "so if we did C-c C-s C-r")
;; (find-urslyvideo "9:57" "you can hit yes to just say throw away")
;; (find-urslyvideo "9:59" "all those previous recordings that we")
;; (find-urslyvideo "10:01" "had we could see okay we got one zero")
;; (find-urslyvideo "10:04" "okay")
;; (find-urslyvideo "10:05" "we got one")
;; (find-urslyvideo "10:07" "then we got two then we got three so you")
;; (find-urslyvideo "10:09" "can kind of like step through your code")
;; (find-urslyvideo "10:10" "one at a time and watch it as it was")
;; (find-urslyvideo "10:12" "recorded so maybe if you didn't want to")
;; (find-urslyvideo "10:13" "have too much overhead and you didn't")
;; (find-urslyvideo "10:15" "want to be stopping your code this would")
;; (find-urslyvideo "10:16" "be useful")

;; (find-urslyvideo "10:17" "but you could also do a sticker")
;; (find-urslyvideo "10:20" "toggle break on sticker so now if we run")
;; (find-urslyvideo "10:21" "it again we actually get an error when")
;; (find-urslyvideo "10:23" "it hits that and so we can actually")
;; (find-urslyvideo "10:26" "enter the debugger so we can say okay we")
;; (find-urslyvideo "10:28" "get that error and we can go to this")
;; (find-urslyvideo "10:30" "this and just see um i don't know if we")
;; (find-urslyvideo "10:32" "wanted to check the current state we")
;; (find-urslyvideo "10:33" "could run some evaluation")
;; (find-urslyvideo "10:35" "um okay and then we could hit continue")
;; (find-urslyvideo "10:37" "and then it takes us the next time we")
;; (find-urslyvideo "10:38" "break continue")
;; (find-urslyvideo "10:40" "continue and you can see that it's also")
;; (find-urslyvideo "10:42" "giving us like the value of things and")
;; (find-urslyvideo "10:43" "we could actually step into that and")
;; (find-urslyvideo "10:45" "inspect it")
;; (find-urslyvideo "10:46" "obviously the integer length isn't")
;; (find-urslyvideo "10:48" "particularly important maybe i should")
;; (find-urslyvideo "10:50" "have gone with a list or something")
;; (find-urslyvideo "10:51" "actually but there you go so we can see")
;; (find-urslyvideo "10:53" "like the integer length is this these")
;; (find-urslyvideo "10:54" "are all the values um all that sort of")
;; (find-urslyvideo "10:57" "stuff so this is pretty pretty powerful")
;; (find-urslyvideo "10:58" "and you can even see the sticker where")
;; (find-urslyvideo "11:00" "it was hit the value right after it was")
;; (find-urslyvideo "11:02" "hit and when we go again this is just")
;; (find-urslyvideo "11:05" "before the sticker so and you can also")
;; (find-urslyvideo "11:07" "just see like the stack trace and stuff")

;; (find-urslyvideo "11:09" "like that there's a lot of power that")
;; (find-urslyvideo "11:10" "comes from stickers that i")
;; (find-urslyvideo "11:12" "i'm always really surprised when people")
;; (find-urslyvideo "11:14" "uh use slime because i don't believe")
;; (find-urslyvideo "11:17" "slime had something equivalent to this")
;; (find-urslyvideo "11:19" "but this is something that i use")
;; (find-urslyvideo "11:21" "literally all the time now to clear the")
;; (find-urslyvideo "11:23" "sticker we can just do ctrl c ctrl s k")
;; (find-urslyvideo "11:26" "um control k and so that will clear the")
;; (find-urslyvideo "11:29" "sticker for us now there's a few other")

;; (find-urslyvideo "11:32" "things that can be pretty helpful so say")
;; (find-urslyvideo "11:33" "for example we have a global variable so")
;; (find-urslyvideo "11:36" "we'll just do def")
;; (find-urslyvideo "11:38" "so we could actually check its current")
;; (find-urslyvideo "11:39" "state by just going control c capital i")
;; (find-urslyvideo "11:42" "on it and hit enter and this will")
;; (find-urslyvideo "11:44" "inspect its current value now obviously")
;; (find-urslyvideo "11:46" "right here we can see oh it's set to")
;; (find-urslyvideo "11:48" "four another thing that it's useful for")
;; (find-urslyvideo "11:50" "is say maybe we did")
;; (find-urslyvideo "11:52" "i don't know we can")
;; (find-urslyvideo "11:54" "hit enter on like values in the reppl")
;; (find-urslyvideo "11:56" "and it will actually inspect them")
;; (find-urslyvideo "11:58" "you could even do something crazy like")
;; (find-urslyvideo "11:59" "say this is a hash table so we could do")
;; (find-urslyvideo "12:02" "make hash table name in d")

;; (find-urslyvideo "12:06" "compile that and so we can do d and it")
;; (find-urslyvideo "12:08" "gives us a hash map which is not very")
;; (find-urslyvideo "12:09" "helpful but if we hit enter on it we can")
;; (find-urslyvideo "12:12" "actually see its value so now if we do")
;; (find-urslyvideo "12:13" "control c control capital i and inspect")
;; (find-urslyvideo "12:15" "it we can see a bunch of different stuff")
;; (find-urslyvideo "12:17" "and it actually goes options for things")
;; (find-urslyvideo "12:18" "like clearing the hashmap we can remove")
;; (find-urslyvideo "12:20" "an entry all that sort of stuff which is")
;; (find-urslyvideo "12:22" "actually really powerful and that's kind")
;; (find-urslyvideo "12:24" "of where this sort of thing comes in you")
;; (find-urslyvideo "12:25" "have a lot of options for interfacing")
;; (find-urslyvideo "12:27" "with things at the repli level and you")
;; (find-urslyvideo "12:29" "can do these same inspecting things that")
;; (find-urslyvideo "12:31" "we were doing before when you hit the")
;; (find-urslyvideo "12:32" "debugger like i was showing you guys")
;; (find-urslyvideo "12:33" "before um and just in case you guys are")
;; (find-urslyvideo "12:35" "sorry about that my neighbors set off")

;; (find-urslyvideo "12:37" "their fire alarm just in case you guys")
;; (find-urslyvideo "12:38" "uh don't know what i'm talking about")
;; (find-urslyvideo "12:39" "when i say the debugger if i did i don't")
;; (find-urslyvideo "12:41" "know let's do just a um")
;; (find-urslyvideo "12:44" "leading quote and hit enter uh oh that's")
;; (find-urslyvideo "12:46" "a bad example sorry the debugger is")
;; (find-urslyvideo "12:48" "actually so if we do this and we hit um")
;; (find-urslyvideo "12:51" "control c control c we hit this error")
;; (find-urslyvideo "12:53" "right here and so this right here is the")
;; (find-urslyvideo "12:55" "actual debugger and so you can like")
;; (find-urslyvideo "12:57" "select what to do next like you can")
;; (find-urslyvideo "12:59" "abort um so if we abort compilation we")
;; (find-urslyvideo "13:01" "will get into here and when we actually")
;; (find-urslyvideo "13:04" "enter this debugger especially when it's")
;; (find-urslyvideo "13:06" "a runtime error so i don't know let's")
;; (find-urslyvideo "13:08" "say we do all right so this will divide")
;; (find-urslyvideo "13:11" "by zero which is obviously not okay to")
;; (find-urslyvideo "13:13" "do you're not supposed to")
;; (find-urslyvideo "13:14" "so when i do")
;; (find-urslyvideo "13:16" "run name")
;; (find-urslyvideo "13:17" "and hit enter we inevitably hit")
;; (find-urslyvideo "13:20" "an invalid number of zero")
;; (find-urslyvideo "13:22" "and so if we go here we can actually see")
;; (find-urslyvideo "13:25" "that we actually have access to the")
;; (find-urslyvideo "13:26" "reply at the time so we could see what")
;; (find-urslyvideo "13:28" "its current state of things are oh like")
;; (find-urslyvideo "13:30" "d has i don't know this value in it and")
;; (find-urslyvideo "13:32" "stuff like that which could be pretty")
;; (find-urslyvideo "13:34" "helpful and it gives you a lot of")
;; (find-urslyvideo "13:35" "options like to replace this function")
;; (find-urslyvideo "13:37" "call another form all that sort of stuff")
;; (find-urslyvideo "13:39" "you'll get pretty comfortable with it")

;; (find-urslyvideo "13:41" "pretty quickly when you work with sly")
;; (find-urslyvideo "13:42" "for a while uh there's some other useful")
;; (find-urslyvideo "13:44" "things like i believe if you do control")
;; (find-urslyvideo "13:46" "u control c ctrl c um this will compile")
;; (find-urslyvideo "13:49" "with the maximum debugging values and")
;; (find-urslyvideo "13:51" "stuff like that")

;; (find-urslyvideo "13:52" "which can really helpful this is pretty")
;; (find-urslyvideo "13:54" "much the basics and all the stuff that i")
;; (find-urslyvideo "13:55" "use on a regular basis")
;; (find-urslyvideo "13:57" "i don't think i'm missing anything else")
;; (find-urslyvideo "13:59" "anyways you guys thanks for watching i")
;; (find-urslyvideo "14:01" "hope you enjoyed this video and i'll")
;; (find-urslyvideo "14:03" "hopefully i just wanted to give a shout")
;; (find-urslyvideo "14:04" "out to my get up sponsors tall guy jenks")
;; (find-urslyvideo "14:07" "polatinis and carr who support me on")
;; (find-urslyvideo "14:10" "github sponsors i really appreciate it")
;; (find-urslyvideo "14:12" "as well as connor g for supporting me on")
;; (find-urslyvideo "14:14" "patreon my soul patreon i really")
;; (find-urslyvideo "14:17" "appreciate it um and to all of you guys")
;; (find-urslyvideo "14:19" "that are interested in supporting me i")
;; (find-urslyvideo "14:20" "also really appreciate it it helps me")
;; (find-urslyvideo "14:22" "keep the content consistent and keeps me")
;; (find-urslyvideo "14:24" "away from having to spend time working")
;; (find-urslyvideo "14:26" "on side jobs anyways guys that's it for")
;; (find-urslyvideo "14:28" "this video if you guys would like to")
;; (find-urslyvideo "14:29" "learn more feel free to hit me up on my")
;; (find-urslyvideo "14:31" "discord and let me know if you have any")
;; (find-urslyvideo "14:33" "questions i'll do my best to help you")
;; (find-urslyvideo "14:35" "anyways i'll see you guys later")
;; (find-urslyvideo "14:38" "[Music]")

;; (find-urslyvideo "0:00")
;; (find-urslyvideo "1:40")
;; (find-urslyvideo "5:00")
;; (find-urslyvideo "6:10")
;; (find-urslyvideo "7:10" "Company")
;; (find-urslyvideo "7:25" "global")
;; (find-urslyvideo "8:55" "sticker")
;; (find-urslyvideo "9:25" "C-csr")




(defun name (num)
  (+ 1 (- 2 2 num)))

#|
 (eepitch-sly)
 (eepitch-kill)
 (eepitch-sly)
(load "2025-ursly-1.lisp")
(name 10)


|#




;; Local Variables:
;; coding:  utf-8-unix
;; End:
